% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      ccparbnd1
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the domain
x = linspace(0,1,41);

% plot the desired state
figure(1); clf; hold on
val = yd(problem,x);
plot(x,val);
xlabel('x');
title('desired state y_d');

